// Copyright © 2021 React Training LLC. All rights reserved.
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fse = require('fs-extra');
var path = require('path');

async function installMagicExports(dependencies, filesDir) {
  let remixDir = path.dirname(require.resolve("remix"));
  let packageJsonFile = path.resolve(remixDir, "package.json");
  await fse.copy(filesDir, remixDir);
  await fse.writeJson(packageJsonFile, assignDependencies(await fse.readJson(packageJsonFile), dependencies), {
    spaces: 2
  });
}

function assignDependencies(object, dependencies) {
  if (!object.dependencies) {
    object.dependencies = {};
  }

  Object.assign(object.dependencies, dependencies);
  return object;
}

exports.installMagicExports = installMagicExports;
